#-----------------------------------------------------------------------
# rueckzahlungsdauer.py
#-----------------------------------------------------------------------
# Das Programm liest von der Kommandozeile die Werte
# schulden (int), zinssatz (float) und jahresrate (int).
# Es wird berechnet, wieviele Jahre die jahresrate bezahlt werden muss,
# bis die schulden beim angegebenen zinssatz beglichen sind.
#-----------------------------------------------------------------------

# Lies schulden, zinssatz und jahresrate von der Kommandozeile.
schulden = int( input('Schulden: ') )
zinssatz = float( input('Zinssatz in Prozent: ') )
jahresrate = int( input('Jahresrate: ') )

jahreZaehler = 0   # Zähler für die Jahre mit Ratenzahlungen

# In der Schleife wird der Schuldenstand nach einem Jahr berechnet.
# Wenn schulden <=0, wird die Wiederholung der Schleife beendet.
while schulden > 0 :
   # Der Schuldenstand nach einem Jahr und Rückzahlung einer Jahresrate wird berechnet.
   zinsen = (zinssatz/100) * schulden
   schulden = schulden + zinsen - jahresrate
   jahreZaehler = jahreZaehler + 1

print('Die Rückzahlung dauert ' + str(jahreZaehler) + ' Jahre.')

#-------------------------------------------------------------------------------------------------------
# python3 rueckzahlungsdauer.py 
# Schulden: 1000
# Zinssatz in Prozent: 3.5
# Jahresrate: 100
# Die Rückzahlung dauert 13 Jahre.
#
# python3 rueckzahlungsdauer.py 
# Schulden: 1000
# Zinssatz in Prozent: 3.5
# Jahresrate: 36
# Die Rückzahlung dauert 105 Jahre.
#
# python3 rueckzahlungsdauer.py 
# Schulden: 1000
# Zinssatz in Prozent: 5.2
# Jahresrate: 51
#  <-- Endlosschleife -->
#

