#---------------------------------------------------------------------
# alleteiler-for.py
#---------------------------------------------------------------------
# Das Programm liest int-Wert a von der Konsole ein
# und gibt alle Teiler von a als +/--String aus.
#---------------------------------------------------------------------

# Lies a (int) von der Konsole.
a = int( input('Berechne alle Teiler von ') )

# ergebnis ist der String, der am Ende 
# an Stelle i ein + hat, falls i Teiler von a ist, und ein - sonst.
ergebnis = ''

# zaehler soll alle möglichen Teiler im Bereich 1..a durchlaufen.
for zaehler in range(1,a+1):
   # Falls zaehler ein Teiler von a ist, 
   #   dann wird ein + an ergebnis angehängt, 
   # sonst wird ein - an ergebnis angehängt.
   if a % zaehler == 0:
      ergebnis += '+'
   else:
      ergebnis += '-'

# Das Ergebnis wird ausgegeben.
print(ergebnis)

#----------------------------------------------------------------------
# python3 alleteiler-for.py 
# Berechne alle Teiler von 16
# ++-+---+-------+
#
# python3 alleteiler-for.py
# Berechne alle Teiler von 17
# +---------------+


