#---------------------------------------------------------------------
# alleteiler-for2.py
#---------------------------------------------------------------------
# Das Programm liest int-Wert m von der Konsole ein.
# Es gibt für alle Zahlen a von 1..m
# alle Teiler von a als +/--String aus.
#---------------------------------------------------------------------

# Lies m (int) von der Konsole.
m = int( input('Berechne alle Teiler der Zahlen von 1..') )

for a in range(1,m+1): 
  # ergebnis ist der String, der am Ende 
  # an Stelle i ein + hat, falls i Teiler von a ist, und ein - sonst.
  ergebnis = ''

  # zaehler soll alle möglichen Teiler im Bereich 1..a durchlaufen.
  for zaehler in range(1,a+1):
     # Falls zaehler ein Teiler von a ist, 
     #   dann wird ein + an erg angehängt, 
     # sonst wird ein - an erg angehängt.
     if a % zaehler == 0:
        ergebnis += '+'
     else:
        ergebnis += '-'

  # Das Ergebnis wird ausgegeben.
  print(ergebnis)

#----------------------------------------------------------------------
# python3 alleteiler-for2.py 
# Berechne alle Teiler der Zahlen von 1..10
# +
# ++
# +-+
# ++-+
# +---+
# +++--+
# +-----+
# ++-+---+
# +-+-----+
# ++--+----+

