#-----------------------------------------------------------------------
# mitternacht.py
#-----------------------------------------------------------------------
# Lies float-Werte a, b und c von der Kommandozeile ein und
# gib die beiden durch die Mitternachtsformel bestimmten Lösungen aus.
# Die Mitternachtsformel gibt die Lösungen der quadratischen Gleichung
# a*(x**2) + b*x + c == 0 an.
#-----------------------------------------------------------------------

import math

# Lies die float-Werte für a, b und c ein.
a = float( input(' a: ') )
b = float( input(' b: ') )
c = float( input(' c: ') )

# Berechne die Diskriminante.
diskriminante = math.sqrt(b**2 - 4*a*c)

# Gib die beiden Lösungen für x aus.
print( (-b + diskriminante) / (2*a) )
print( (-b - diskriminante) / (2*a) )

#-----------------------------------------------------------------------
# python3 mitternacht.py 22 56.78 -11.11
# 0.1827300776950099
# -2.763639168604101
#
# python3 mitternacht.py 4 4 1
# -0.5
# -0.5
#
# python3 mitternacht.py 0 2 4
# Traceback (most recent call last):
#   File "mitternacht.py", line 17, in <module>
#     print( (-b + diskriminante) / (2*a) )
# ZeroDivisionError: float division by zero
#
# python3 mitternacht.py 4 2 4
# Traceback (most recent call last):
#   File "mitternacht.py", line 15, in <module>
#     diskriminante = math.sqrt(b**2 - 4 * a * c)
# ValueError: math domain error

